package ExemplesJDBC;
import java.sql.*;
import java.util.*;

public class TestDate 
{
  public static void main (String args [])
       throws SQLException, ClassNotFoundException, java.io.IOException
  {
    // Charger le pilote JDBC d'Oracle
    Class.forName ("oracle.jdbc.driver.OracleDriver");

    // Connexion  une BD
    Connection uneConnection =
      DriverManager.getConnection ("jdbc:oracle:thin:@localhost:1521:orcl", "clerat", "oracle");

      PreparedStatement unEnoncSQL = uneConnection.prepareStatement
        ("INSERT INTO PrtEnCours(idExemplaire,datePrt,idUtilisateur)"+
        "VALUES(?,?,?)");
        unEnoncSQL.setString(1,"6");
        Calendar maintenant = Calendar.getInstance(); // Calendrier avec date actuelle
        java.sql.Date dateMaintenant = 
          new java.sql.Date(maintenant.getTime().getTime());
        unEnoncSQL.setDate(2,dateMaintenant);
        unEnoncSQL.setString(3,"2");
        //NB la date est gnre automatiquement par le serveur de BD (default sysdate)
        // et le statut est modifi par un TRIGGER
        int n = unEnoncSQL.executeUpdate();

    unEnoncSQL = uneConnection.prepareStatement
        ("SELECT idUtilisateur,datePrt,idExemplaire "+
        "FROM PrtEnCours" );
    ResultSet rsultatSelect = unEnoncSQL.executeQuery();
    while (rsultatSelect.next ()){
        String leIdUtilisateur = rsultatSelect.getString("idUtilisateur");
        java.sql.Date laDate = rsultatSelect.getDate("datePrt");
        String leIdExemplaire = rsultatSelect.getString("idExemplaire");
        
        System.out.println ("idUtilisateur:" + leIdUtilisateur);
        System.out.println ("datePrt:" + laDate);
        System.out.println ("idExemplaire:" + leIdExemplaire);
    }
    // Fermeture de l'nonc et de la connexion
    unEnoncSQL.close();
    uneConnection.close();
  }
}
