/*@lineinfo:filename=ExecuteFunctionSQLJ*//*@lineinfo:user-code*//*@lineinfo:1^1*///Exemple d'appel d'une fonction stocke avec SQLJ
package ExemplesSQLJ;

import sqlj.runtime.*;
import sqlj.runtime.ref.*;
import java.sql.*;

public class ExecuteFunctionSQLJ{
    public static void main (String args [])
       throws SQLException, ClassNotFoundException, java.io.IOException
  {
    // Charger le pilote JDBC d'Oracle
    Class.forName ("oracle.jdbc.driver.OracleDriver");

    // Cration du contexte de connexion de dfaut avec autocommit (true)
    DefaultContext unContexte = new DefaultContext
          ("jdbc:oracle:thin:@localhost:1521:orcl", "godin", "oracle", true);
    DefaultContext.setDefaultContext(unContexte);

    int laQuantite = 0;
    int noArticle = 10 ;

    // Appel de la fonction stocke
    /*@lineinfo:generated-code*//*@lineinfo:24^5*/

//  ************************************************************
//  #sql laQuantite = { VALUES (fQuantitEnStock(:noArticle)) };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OracleCallableStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = sqlj.runtime.ref.DefaultContext.getDefaultContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN :1 := fQuantitEnStock( :2 ) \n; END;";
   __sJT_st = __sJT_ec.prepareOracleCall(__sJT_cc,"0ExemplesSQLJ.ExecuteFunctionSQLJ",theSqlTS);
   if (__sJT_ec.isNew())
   {
      __sJT_st.registerOutParameter(1,oracle.jdbc.OracleTypes.INTEGER);
   }
   // set IN parameters
   __sJT_st.setInt(2,noArticle);
 // execute statement
   __sJT_ec.oracleExecuteUpdate();
   // retrieve OUT parameters
   laQuantite = __sJT_st.getInt(1); if (__sJT_st.wasNull()) throw new sqlj.runtime.SQLNullException();
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:24^61*/

    // Fermeture du contexte de connexion
    unContexte.close();
    System.out.println("Quantit en stock :" + laQuantite);  }
}/*@lineinfo:generated-code*/