package ExemplesJDBC.GererPrets;
import java.util.Hashtable;
import javax.naming.Context;
import javax.naming.InitialContext;
import ExemplesJDBC.GererPrets.FacadeEnrPretsSessionEJB;
import ExemplesJDBC.GererPrets.FacadeEnrPretsSessionEJBHome;

// Faade pour le cas d'utilisation EnregistrerPrets
// Isole la classe de contrle des dtails de la gestion de persistence par courtier
// NB Les mthodes de la faade doivent tre appeles en squence
public class FacadeEJBEnregistrerPrets 
{
  private FacadeEnrPretsSessionEJB uneFacadeEnrPretsSessionEJB;
  public FacadeEJBEnregistrerPrets()throws Exception
  {
      // Le constructeur cre l'objet session EJB faade
      Context context = new InitialContext();
      FacadeEnrPretsSessionEJBHome facadeEnrPretsSessionEJBHome = 
        (FacadeEnrPretsSessionEJBHome)context.lookup("FacadeEnrPretsSessionEJB");
      

      uneFacadeEnrPretsSessionEJB = facadeEnrPretsSessionEJBHome.create(  );  }
  
  // Cherche un Utilisateur avec ses PretsEnCours et retourne
  // les donnes ncessaires pour EnregistrerPrets (OTDUtilisateurPrets)
  // Une exception est leve si l'Utilisateur n'existe pas
  public OTDUtilisateurPrets chercherOTDUtilisateurPrets(String idUtilisateur)throws Exception {
    return uneFacadeEnrPretsSessionEJB.
    chercherOTDUtilisateurPrets(idUtilisateur);
  }

  public String getStatutExemplaire(String idExemplaire)throws Exception{
    return uneFacadeEnrPretsSessionEJB.getStatutExemplaire(idExemplaire);
  }

  // Insre le prt et retourne la date d'enregistrement
  public java.sql.Date insererPretEnCours() throws Exception{
    return uneFacadeEnrPretsSessionEJB.insererPretEnCours();
  }

  // Confirmer la transaction et fermer la Connection
  public void confirmerTransaction()throws Exception{
    uneFacadeEnrPretsSessionEJB.confirmerTransaction();
  }
}
