package ExemplesJDBC.GererPrets.impl;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import java.sql.Date;
import ExemplesJDBC.GererPrets.*;
import java.sql.Connection;
import java.util.*;
import javax.transaction.*;

public class FacadeEnrPretSimpleUTSessionEJBBean implements SessionBean 
{
  SessionContext sessionContext;

  public void ejbCreate()
  {
  }

  public void ejbActivate()
  {
  }

  public void ejbPassivate()
  {
  }

  public void ejbRemove()
  {
  }



  public void setSessionContext(SessionContext newLeSessionContext)
  {
    sessionContext = newLeSessionContext;
  }

  public Date insererPretEnCours(String idUtilisateur, String idExemplaire) throws Exception
  {
    UsineConnection uneUsineConnection = new UsineConnection();
//    Connection uneConnection = uneUsineConnection.getConnection(
//            "oracle.jdbc.driver.OracleDriver",
//            "jdbc:oracle:thin:@localhost:1521:ora9i",
//            "clerat","oracle");
    Connection uneConnection = 
      uneUsineConnection.getConnectionFromDataSource("jdbc/orclcleratCoreDS");

    Utilisateur unUtilisateur = new Utilisateur(idUtilisateur);
    Exemplaire unExemplaire = new Exemplaire(idExemplaire);
        
    // Gnrer la date du jour et l'objet PrtEnCours
    Calendar maintenant = Calendar.getInstance(); // Calendrier avec date actuelle
    java.sql.Date dateMaintenant = new java.sql.Date(maintenant.getTime().getTime());

   
    PrtEnCours leNouveauPrtEnCours = 
            new PrtEnCours(unUtilisateur,dateMaintenant,unExemplaire);

    // Matrialiser le PrtEnCours dans la BD
    UserTransaction uneUserTransaction = sessionContext.getUserTransaction();
    uneUserTransaction.begin();
    
    CourtierBDPrtEnCours unCourtierBDPrtEnCours = 
                new CourtierBDPrtEnCours(uneConnection);
    unCourtierBDPrtEnCours.insrerPrtEnCours(leNouveauPrtEnCours);

    uneUserTransaction.commit();
    
    uneConnection.close();
    return dateMaintenant;
  }
}