/*@lineinfo:filename=ExecuteProcedureSQLJ*//*@lineinfo:user-code*//*@lineinfo:1^1*///Exemple d'appel d'une procdure stocke avec SQLJ
package ExemplesSQLJ;

import sqlj.runtime.*;
import sqlj.runtime.ref.*;
import java.sql.*;

public class ExecuteProcedureSQLJ{
    public static void main (String args [])
       throws SQLException, ClassNotFoundException, java.io.IOException
  {
    // Charger le pilote JDBC d'Oracle
    Class.forName ("oracle.jdbc.driver.OracleDriver");

    // Cration du contexte de connexion de dfaut avec autocommit (true)
    DefaultContext unContexte = new DefaultContext
          ("jdbc:oracle:thin:@localhost:1521:orcl", "godin", "oracle", true);
    DefaultContext.setDefaultContext(unContexte);

    int noArticle = 10 ;
    int laQuantite = 20;

    // Appel de la procdure stocke
    /*@lineinfo:generated-code*//*@lineinfo:24^5*/

//  ************************************************************
//  #sql { CALL pModifierQuantitEnStock(:noArticle,:laQuantite) };
//  ************************************************************

{
  // declare temps
  oracle.jdbc.OraclePreparedStatement __sJT_st = null;
  sqlj.runtime.ref.DefaultContext __sJT_cc = sqlj.runtime.ref.DefaultContext.getDefaultContext(); if (__sJT_cc==null) sqlj.runtime.error.RuntimeRefErrors.raise_NULL_CONN_CTX();
  sqlj.runtime.ExecutionContext.OracleContext __sJT_ec = ((__sJT_cc.getExecutionContext()==null) ? sqlj.runtime.ExecutionContext.raiseNullExecCtx() : __sJT_cc.getExecutionContext().getOracleContext());
  try {
   String theSqlTS = "BEGIN pModifierQuantitEnStock( :1 , :2 )\n; END;";
   __sJT_st = __sJT_ec.prepareOracleStatement(__sJT_cc,"0ExemplesSQLJ.ExecuteProcedureSQLJ",theSqlTS);
   // set IN parameters
   __sJT_st.setInt(1,noArticle);
   __sJT_st.setInt(2,laQuantite);
 // execute statement
   __sJT_ec.oracleExecuteUpdate();
  } finally { __sJT_ec.oracleClose(); }
}


//  ************************************************************

/*@lineinfo:user-code*//*@lineinfo:24^70*/

    // Fermeture du contexte de connexion
    unContexte.close();
  }
}/*@lineinfo:generated-code*/