package ExemplesJDBC.GererPrets;
import java.sql.*;
import java.util.*;

// Faade pour le cas d'utilisation EnregistrerPretsSimple
public class FacadeEnregistrerPretsSimple {
  public FacadeEnregistrerPretsSimple(){}
  
  // Ouvre la connexion avec autocommit, insre le prt, ferme la connexion et
  // retourne la date d'enregistrement
  public java.sql.Date insererPretEnCours(
    String  idUtilisateur, String idExemplaire) throws Exception{
    UsineConnection uneUsineConnection = new UsineConnection();
    Connection uneConnection = uneUsineConnection.getConnection(
            "oracle.jdbc.driver.OracleDriver",
            "jdbc:oracle:thin:@localhost:1521:orcl",
            "clerat","oracle");
    Utilisateur unUtilisateur = new Utilisateur(idUtilisateur);
    Exemplaire unExemplaire = new Exemplaire(idExemplaire);
        
    // Gnrer la date du jour et l'objet PrtEnCours
    Calendar maintenant = Calendar.getInstance(); // Calendrier avec date actuelle
    java.sql.Date dateMaintenant = new java.sql.Date(maintenant.getTime().getTime());
    PrtEnCours leNouveauPrtEnCours = 
            new PrtEnCours(unUtilisateur,dateMaintenant,unExemplaire);

    // Matrialiser le PrtEnCours dans la BD
    CourtierBDPrtEnCours unCourtierBDPrtEnCours = 
                new CourtierBDPrtEnCours(uneConnection);
    unCourtierBDPrtEnCours.insrerPrtEnCours(leNouveauPrtEnCours);
    // Pas besoin de commit
    uneConnection.close();
    return dateMaintenant;
  }
}
