import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.REF;
import oracle.sql.STRUCT;

public class LivrereftypeRef implements ORAData, ORADataFactory
{
  public static final String _SQL_BASETYPE = "GODIN.LIVREREFTYPE";
  public static final int _SQL_TYPECODE = OracleTypes.REF;

  REF _ref;

  private static final LivrereftypeRef _LivrereftypeRefFactory = new LivrereftypeRef();

  public static ORADataFactory getORADataFactory()
  { return _LivrereftypeRefFactory; }
  /* constructor */
  public LivrereftypeRef()
  {
  }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _ref;
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null;
    LivrereftypeRef r = new LivrereftypeRef();
    r._ref = (REF) d;
    return r;
  }

  public Livrereftype getValue() throws SQLException
  {
     return (Livrereftype) Livrereftype.getORADataFactory().create(
       _ref.getSTRUCT(), OracleTypes.REF);
  }

  public void setValue(Livrereftype c) throws SQLException
  {
    _ref.setValue((STRUCT) c.toDatum(_ref.getJavaSqlConnection()));
  }
}
